List an Organization's Org Auth Tokens
GET /api/0/organizations/{organization_id_or_slug}/org-auth-tokens/
Return an organization's active org auth tokens, most recently used first, with tokens that were never used last. The list is not paginated.
The response never includes a token's value, only its last four characters. The full token is returned once, by the request that creates it.
Org auth tokens can be managed from a signed-in session, or with an OAuth application
token that has the org:tokens scope in addition to one of the scopes listed here.
Personal auth tokens, org auth tokens and integration tokens can't call this endpoint
and get a 403.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:org:adminorg:readorg:write
Copied
curl https://sentry.io/api/0/organizations/{organization_id_or_slug}/org-auth-tokens/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied[ { "id": "1", "name": "CI release uploads", "scopes": [ "org:ci" ], "tokenLastCharacters": "Jk4Q", "dateCreated": "2024-07-16T15:36:46.048343Z", "dateLastUsed": "2024-07-17T09:12:44.104915Z", "projectLastUsedId": "2" }, { "id": "3", "name": "Unused token", "scopes": [ "org:ci" ], "tokenLastCharacters": "w2Pe", "dateCreated": "2024-07-16T15:36:46.048343Z", "dateLastUsed": null, "projectLastUsedId": null } ]
Was this helpful?